# SEMAT Essence Kernel Alpha Card integration v0.1

* [Essence Kernel](https://www.ivarjacobson.com/sites/default/files/field_iji_file/article/essence_kernel_-_detail_cards_checklist.pdf)
* [Checklists](http://semat.org/alpha-state-cards-with-abbrev-checklists)

There is seven issues dedicated for SEMAT Alpha Cards

* Opportunity - #15
* Stakeholders - #16
* Requirements - #17
* Software System - #18
* Work - #19
* Team - #13
* Way of Working - #14

## STAKEHOLDERS

**Recognized**

- [ ] All the different groups of stakeholders that are, or will be, affected by the development and operation of the software system are identified.
- [ ] There is agreement on the stakeholder groups to be represented. At a minimum, the stakeholders groups that fund, use, support, and maintain the system have been considered.
- [ ] The responsibilities of the stakeholder representatives have been defined.

**Represented**

- [ ] The stakeholder representatives have agreed to take on their responsibilities.
- [ ] The stakeholder representatives are authorized to carry out their responsibilities.
- [ ] The collaboration approach among the stakeholder representatives has been agreed.
- [ ] The stakeholder representatives support and respect the team's way of working.

**Involved**

- [ ] The stakeholder representatives assist the team in accordance with their responsibilities.
- [ ] The stakeholder representatives provide feedback and take part in decision making in a timely manner.
- [ ] The stakeholder representatives promptly communicate changes that are relevant for their stakeholder groups.

**In Agreement**

- [ ] The stakeholder representatives have agreed upon their minimal expectations for the next deployment of the new system.
- [ ] The stakeholder representatives are happy with their involvement in the work.
- [ ] The stakeholder representatives agree that their input is valued by the team and treated with respect.
- [ ] The team members agree that their input is valued by the stakeholder representatives and treated with respect.
- [ ] The stakeholder representatives agree with how their different priorities and perspectives are being balanced to provide a clear direction for the team.

**Satisfied for deployment**

- [ ] The stakeholder representatives provide feedback on the system from their stakeholder group perspective.
- [ ] The stakeholder representatives confirm that they agree that the system is ready for deployment.

**Satisfied in Use**

- [ ] Stakeholders are using the new system and providing feedback on their experiences.
- [ ] The stakeholders confirm that the new system meets their expectations.

## OPPORTUNITY

**Identified**

- [ ] An idea for a way of improving current ways of working, increasing market share or applying a new or innovative software system has been identified.
- [ ] At least one of the stakeholders wishes to make an investment in better understanding the opportunity and the value associated with addressing it.
- [ ] The other stakeholders who share the opportunity have been identified.

**Solution Needed**

- [ ] The stakeholders in the opportunity and the proposed solution have been identified.
- [ ] The stakeholders' needs that generate the opportunity have been established.
Any underlying problems and their root causes have been identified.
- [ ] It has been confirmed that a software-based solution is needed.
- [ ] At least one software-based solution has been proposed.

**Value Established**

- [ ] The value of addressing the opportunity has been quantified either in absolute terms or in returns or savings per time period (e.g. per annum).
- [ ] The impact of the solution on the stakeholders is understood.
- [ ] The value that the software system offers to the stakeholders that fund and use the software system is understood.
- [ ] The success criteria by which the deployment of the software system is to be judged are clear.
- [ ] The desired outcomes required of the solution are clear and quantified.

**Viable**

- [ ] A solution has been outlined.
- [ ] The indications are that the solution can be developed and deployed within constraints.
- [ ] The risks associated with the solution are acceptable and manageable.
- [ ] The indicative (ball-park) costs of the solution are less than the anticipated value of the opportunity.
- [ ] The reasons for the development of a software-based solution are understood by all members of the team.
- [ ] It is clear that the pursuit of the opportunity is viable.

**Addressed**

- [ ] A usable system that demonstrably addresses the opportunity is available.
- [ ] The stakeholders agree that the available solution is worth deploying.
- [ ] The stakeholders are satisfied that the solution produced addresses the opportunity.

**Benefit Accurued**

- [ ] The solution has started to accrue benefits for the stakeholders.
- [ ] The return-on-investment profile is at least as good as anticipated.

## REQUIREMENTS

**Conceived**

- [ ] The initial set of stakeholders agrees that a system is to be produced.
- [ ] The stakeholders that will use the new system are identified.
- [ ] The stakeholders that will fund the initial work on the new system are identified.
- [ ] There is a clear opportunity for the new system to address.

**Bounded**

- [ ] The stakeholders involved in developing the new system are identified.
- [ ] The stakeholders agree on the purpose of the new system.
- [ ] It is clear what success is for the new system.
- [ ] The stakeholders have a shared understanding of the extent of the proposed solution.
- [ ] The way the requirements will be described is agreed upon.
- [ ] The mechanisms for managing the requirements are in place.
- [ ] The prioritization scheme is clear.
- [ ] Constraints are identified and considered.
- [ ] Assumptions are clearly stated.

**Coherent**

- [ ] The requirements are captured and shared with the team and the stakeholders.
- [ ] The origin of the requirements is clear.
- [ ] The rationale behind the requirements is clear.
- [ ] Conflicting requirements are identified and attended to.
- [ ] The requirements communicate the essential characteristics of the system to be delivered.
- [ ] The most important usage scenarios for the system can be explained.
- [ ] The priority of the requirements is clear.
- [ ] The impact of implementing the requirements is understood.
- [ ] The team understands what has to be delivered and agrees to deliver it.

**Acceptable**

- [ ] The stakeholders accept that the requirements describe an acceptable solution.
- [ ] The rate of change to the agreed requirements is relatively low and under control.
- [ ] The value provided by implementing the requirements is clear.
- [ ] The parts of the opportunity satisfied by the requirements are clear.
- [ ] The requirements are testable.

**Addressed**

- [ ] Enough of the requirements are addressed for the resulting system to be acceptable to the stakeholders.
- [ ] The stakeholders accept the requirements as accurately reflecting what the system does and does not do.
- [ ] The set of requirement items implemented provide clear value to the stakeholders.
- [ ] The system implementing the requirements is accepted by the stakeholders as worth making operational.

**Fulfilled**

- [ ] The stakeholders accept the requirements as accurately capturing what they require to fully satisfy the need for a new system.
- [ ] There are no outstanding requirement items preventing the system from being accepted as fully satisfying the requirements.
- [ ] The system is accepted by the stakeholders as fully satisfying the requirements.



## SOFTWARE SYSTEM

**Architecture Selected**

- [ ] The criteria to be used when selecting the architecture have been agreed on.
- [ ] Hardware platforms have been identified.
- [ ] Programming languages and technologies to be used have been selected.
- [ ] System boundary is known.
- [ ] Significant decisions about the organization of the system have been made.
- [ ] Buy, build and reuse decisions have been made.

**Demonstrable**

- [ ] Key architectural characteristics have been demonstrated.
- [ ] The system can be exercised and its performance can be measured.
- [ ] Critical hardware configurations have been demonstrated.
- [ ] Critical interfaces have been demonstrated.
- [ ] The integration with other existing systems has been demonstrated.
- [ ] The relevant stakeholders agree that the demonstrated architecture is appropriate.

**Usable**

- [ ] The system can be operated by stakeholders who use it.
- [ ] The functionality provided by the system has been tested.
- [ ] The performance of the system is acceptable to the stakeholders.
- [ ] Defect levels are acceptable to the stakeholders.
- [ ] The system is fully documented.
- [ ] Release content is known.
- [ ] The added value provided by the system is clear.

**Ready**

- [ ] Installation and other user documentation are available.
- [ ] The stakeholder representatives accept the system as fit-for-purpose.
- [ ] The stakeholder representatives want to make the system operational.
- [ ] Operational support is in place.

**Operational**

- [ ] The system has been made available to the stakeholders intended to use it.
- [ ] At least one example of the system is fully operational.
- [ ] The system is fully supported to the agreed service levels.

**Retired**

- [ ] The system has been replaced or discontinued.
- [ ] The system is no longer supported.
- [ ] There are no “official” stakeholders who still use the system.
- [ ] Updates to the system will no longer be produced.

## WORK

**Initiated**

- [ ] The result required of the work being initiated is clear.
- [ ] Any constraints on the work’s performance are clearly identified.
- [ ] The stakeholders that will fund the work are known.
- [ ] The initiator of the work is clearly identified.
- [ ] The stakeholders that will accept the results are known.
- [ ] The source of funding is clear.
- [ ] The priority of the work is clear.

**Prepared**

- [ ] Commitment is made.
- [ ] Cost and effort of the work are estimated.
- [ ] Resource availability is understood.
- [ ] Governance policies and procedures are clear.
- [ ] Risk exposure is understood.
- [ ] Acceptance criteria are defined and agreed with client.
- [ ] The work is broken down sufficiently for productive work to start.
- [ ] Tasks have been identified and prioritized by the team and stakeholders.
- [ ] A credible plan is in place.
- [ ] Funding to start the work is in place.
- [ ] The team or at least some of the team members are ready to start the work.
- [ ] Integration and delivery points are defined.

**Started**

- [ ] Development work has been started.
- [ ] Work progress is monitored.
- [ ] The work is being broken down into actionable work items with clear definitions of done.
- [ ] Team members are accepting and progressing tasks.

**Under Control**

- [ ] Tasks are being completed.
- [ ] Unplanned work is under control.
- [ ] Risks are under control as the impact if they occur and the likelihood of them occurring have been reduced to acceptable levels.
- [ ] Estimates are revised to reflect the team’s performance.
- [ ] Measures are available to show progress and velocity.
- [ ] Re-work is under control.
- [ ] Tasks are consistently completed on time and within their estimates.

**Concluded**

- [ ] All outstanding tasks are administrative housekeeping or related to preparing the next piece of work.
- [ ] Work results have been achieved.
- [ ] The stakeholder(s) has accepted the resulting software system.

**Closed**

- [ ] Lessons learned have been itemized, recorded and discussed.
- [ ] Metrics have been made available.
- [ ] Everything has been archived.
- [ ] The budget has been reconciled and closed.
- [ ] The team has been released.
- [ ] There are no outstanding, uncompleted tasks.

## WAY OF WORKING

**Principles Established**

- [ ] Principles and constraints are committed to by the team.
- [ ] Principles and constraints are agreed to by the stakeholders.
- [ ] The tool needs of the work and its stakeholders are agreed.
- [ ] A recommendation for the approach to be taken is available.
- [ ] The context within which the team will operate is understood.
- [ ] The constraints that apply to the selection, acquisition and use of practices and tools are known.

**Foundation Established**

- [ ] The key practices and tools that form the foundation of the way-of-working are selected.
- [ ] Enough practices for work to start are agreed to by the team.
- [ ] All non-negotiable practices and tools have been identified.
- [ ] The gaps that exist between the practices and tools that are needed and the practices and tools that are available have been analyzed and understood.
- [ ] The capability gaps that exist between what is needed to execute the desired way of working and the capability levels of the team have been analyzed and understood.
- [ ] The selected practices and tools have been integrated to form a usable way-of-working.

**In Use**

- [ ] The practices and tools are being used to do real work.
- [ ] The use of the practices and tools selected are regularly inspected.
- [ ] The practices and tools are being adapted to the team’s context.
- [ ] The use of the practices and tools is supported by the team.
- [ ] Procedures are in place to handle feedback on the team’s way of working.
- [ ] The practices and tools support team communication and collaboration.

**In Place**

- [ ] The practices and tools are being used by the whole team to perform their work.
- [ ] All team members have access to the practices and tools required to do their work.
- [ ] The whole team is involved in the inspection and adaptation of the way-of-working.

**Working well**

- [ ] Team members are making progress as planned by using and adapting the way-of-working to suit their current context.
- [ ] The team naturally applies the practices without thinking about them
- [ ] The tools naturally support the way that the team works.
- [ ] The team continually tunes their use of the practices and tools.

**Retired**

- [ ] The team's way of working is no longer being used.
- [ ] Lessons learned are shared for future use.

## TEAM

**Seeded**

- [ ] The team mission has been defined in terms of the opportunities and outcomes.
- [ ] Constraints on the team's operation are known.
- [ ] Mechanisms to grow the team are in place.
- [ ] The composition of the team is defined.
- [ ] Any constraints on where and how the work is carried out are defined.
- [ ] The team's responsibilities are outlined.
- [ ] The level of team commitment is clear.
- [ ] Required competencies are identified.
- [ ] The team size is determined.
- [ ] Governance rules are defined.
- [ ] Leadership model is selected.

**Formed**

- [ ] Individual responsibilities are understood.
- [ ] Enough team members have been recruited to enable the work to progress.
- [ ] Every team member understands how the team is organized and what their individual role is.
- [ ] All team members understand how to perform their work.
- [ ] The team members have met (perhaps virtually) and are beginning to get to know each other
- [ ] The team members understand their responsibilities and how they align with their competencies.
- [ ] Team members are accepting work.
- [ ] Any external collaborators (organizations, teams and individuals) are identified.
- [ ] Team communication mechanisms have been defined.

**Collaborating**

- [ ] Each team member commits to working on the team as defined.
- [ ] The team is working as one cohesive unit.
- [ ] Communication within the team is open and honest.
- [ ] The team is focused on achieving the team mission.
- [ ] The team members know each other.

**Performing**

- [ ] The team consistently meets its commitments.
- [ ] The team continuously adapts to the changing context.
- [ ] The team identifies and addresses problems without outside help.
- [ ] Effective progress is being achieved with minimal avoidable backtracking and reworking.
- [ ] Wasted work, and the potential for wasted work are continuously eliminated.

**Adjourned**

- [ ] The team responsibilities have been handed over or fulfilled.
- [ ] The team members are available for assignment to other teams.
- [ ] No further effort is being put in by the team to complete the mission.

